%define anolis_release 1

Name:    libdmx
Version: 1.1.4
Release: %{anolis_release}%{?dist}
License: MIT
Summary: X.Org X11 DMX runtime library
URL:     http://www.x.org
Source0: https://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.gz

Requires: libX11 >= 1.6.0

BuildRequires: pkgconfig(xext)
BuildRequires: autoconf automake libtool make
BuildRequires: xorg-x11-util-macros
BuildRequires: libX11-devel >= 1.6.0

%description
The X.Org X11 DMX (Distributed Multihead X) runtime library.

%package devel
Summary: X.Org X11 DMX development files
Requires: %{name} = %{version}-%{release}

%description devel
The X.Org X11 DMX (Distributed Multihead X) development files.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n %{name}-%{version}

%build
autoreconf -v --install --force
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%generate_compatibility_deps

%files
%doc COPYING
%{_libdir}/libdmx.so.1
%{_libdir}/libdmx.so.1.0.0
%dir %{abidir}
%{abidir}/libdmx.dump

%files devel
%{_libdir}/libdmx.so
%{_libdir}/pkgconfig/dmx.pc
%{_mandir}/man3/*.3*
%{_includedir}/X11/extensions/dmxext.h

%files doc
%doc ChangeLog README

%changelog
* Tue Mar 21 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 1.1.4-1
- Init from upstream
